Overview | Package | Class | Tree | Serialized | Deprecated | Index | Help
| OSGi Service Platform Release 3
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.osgi.framework
Class InvalidSyntaxException

    java.lang.Object
      |
      +--java.lang.Throwable
            |
            +--java.lang.Exception
                  |
                  +--org.osgi.framework.InvalidSyntaxException

All Implemented Interfaces:
  java.io.Serializable

public class InvalidSyntaxException
extends java.lang.Exception

A Framework exception.

An `InvalidSyntaxException` object indicates that a filter string parameter has an invalid syntax and cannot be parsed.

See `Filter` for a description of the filter string syntax.

See Also:
  Serialized Form

Constructor Summary
`InvalidSyntaxException(java.lang.String msg, java.lang.String filter)` Creates an exception of type `InvalidSyntaxException`.

Method Summary
`java.lang.String` | `getFilter()` Returns the filter string that generated the `InvalidSyntaxException` object.

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getLocalizedMessage, getMessage, printStackTrace, printStackTrace, printStackTrace, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### InvalidSyntaxException

    public InvalidSyntaxException(java.lang.String msg,
                                  java.lang.String filter)

  Creates an exception of type `InvalidSyntaxException`.

  This method creates an `InvalidSyntaxException` object with the specified message and the filter string which generated the exception.

  Parameters:
    `msg` - The message.
    `filter` - The invalid filter string.

Method Detail

### getFilter

    public java.lang.String getFilter()

  Returns the filter string that generated the `InvalidSyntaxException` object.
  Returns:
    The invalid filter string.
  See Also:
    `BundleContext.getServiceReferences(java.lang.String, java.lang.String)`, `BundleContext.addServiceListener(org.osgi.framework.ServiceListener, java.lang.String)`

Overview | Package | Class | Tree | Serialized | Deprecated | Index | Help
| OSGi Service Platform Release 3
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright (c) OSGi Alliance (2000, 2003). All Rights Reserved.